## org.codehaus.groovy.antlr
Interface AntlrASTProcessor

All Known Implementing Classes:
  AntlrASTProcessSnippets, FlatNodeListTraversal, PreOrderTraversal, SourceCodeTraversal, TraversalHelper

    public interface AntlrASTProcessor

An interface for processing antlr AST objects

Version:
  $Revision: 6778 $
Author:
  Jeremy Rayner

Method Summary
`AST` `process(AST t)` performs some processing on the supplied AST node.

Method Detail

### process

    AST process(AST t)

  performs some processing on the supplied AST node.

  Parameters:
    `t` - the AST node to process.
  Returns:
    possibly returns the AST modified or null, depends on the implementation.

Copyright © 2003-2008 The Codehaus. All rights reserved.